at.chipkarte.client.elgaad.soap

## Class Einnahmedauer

- Object
- - at.chipkarte.client.elgaad.soap.Einnahmedauer

-     public class Einnahmedauer
      extends Object

  Einnahmedauer, wenn der Einnahmestart unbekannt ist.
  Das Objekt wird in unterschiedlichen Funktionen und Objekten verwendet. Die Angabe- bzw. Versorgungsbedingungen der einzelnen Parameter sind dabei abhängig ob das Objekt für die Eingabe oder Ausgabe verwendet wird.
  Die Bedingungen für die Angabe bei Nutzung als Eingabeobjekt, sind für dieses Objekt bei den Parametern unter "Eingabebedingung" angegeben. Hierbei wird zusätzlich unterschieden, ob die Einnahmedauer zwecks "Erfassung" oder "Änderung" angegeben wird.
  Die Bedingungen für die Befüllung der Parameter bei Nutzung als Ausgabeobjekt, sind bei den Parametern unter "Ausgabebedingung" angegeben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Einnahmedauer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEinheit()` Einheit der Einnahmedauer.
    `Double` | `getWert()` Wert der Einnahmedauer.
    `void` | `setEinheit(String einheit)`
    `void` | `setWert(Double wert)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Einnahmedauer

          public Einnahmedauer()

  - ### Method Detail

    - #### getWert

          public Double getWert()

      Wert der Einnahmedauer.
      Eingabebedingung:
      Erfassung: Muss.
      Änderung: Muss.
      Ausgabebedingung: Muss.
      Format: Double
      Returns:
        Wert der Einnahmedauer

    - #### setWert

          public void setWert(Double wert)

    - #### getEinheit

          public String getEinheit()

      Einheit der Einnahmedauer.
      Eingabebedingung:
      Erfassung: Muss.
      Änderung: Muss.
      Ausgabebedingung: Muss.
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_MedikationFrequenz_VS
      Format: alpahnumerisch.
      Returns:
        Einheit der Einnahmedauer

    - #### setEinheit

          public void setEinheit(String einheit)